Subject: bug#24828: 26.0.50; Renaming of display-buffer-in-major-side-window broke which-key.el

From: martin rudalics <[email-masked]>
Date: Sun, 30 Oct 2016 20:34:46 +0100

> Renaming of display-buffer-in-major-side-window broke which-key.el
 >
 > As the subject says. Maybe an alias is in order?
 >
 > I don't know if there are more cases like this.

Hmm...  all this is obviously my fault.  As a matter of fact, I wasn't
aware that side windows were anywhere used at all.

The problem is that ‘display-buffer-in-major-side-window’, which I
renamed to ‘window--make-major-side-window’, actually is an internal
function which should not be used outside of window.el.  With other
words: If there is anything ‘window--make-major-side-window’ does which
‘display-buffer-in-side-window’ doesn't, then I should fix that in the
latter rather than exposing the side window internals.

I added the author to the list of recipients.  Maybe he can tell us
more.  If there's no other way, I'll obviously make the alias.

Thanks for the report, martin